## gaffitter 0.5.0

=== Makefile ===
# $Id: Makefile,v 1.6 2006/07/29 02:33:55 daaugusto Exp $
# Copyright (C) 2005-2006 Douglas A. Augusto (daaugusto@gmail.com)

all:
	cd src; $(MAKE)
clean:
	cd src; $(MAKE) clean
install:
	cd src; $(MAKE) install
uninstall:
	cd src; $(MAKE) uninstall
