=== src/Makefile ===
# $Id: Makefile,v 1.19 2006/08/11 14:44:01 daaugusto Exp $
# Copyright (C) 2005-2006 Douglas A. Augusto (daaugusto@gmail.com)

CPPFILES = Params.cc DiskUsage.cc Input.cc Optimizer.cc \
			  optimizers/GeneticAlgorithm.cc optimizers/BruteForce.cc \
			  optimizers/BestFirst.cc optimizers/Split.cc \
			  util/CmdLineParser.cc

INCLUDES = -I/usr/local/include -I.
CXX = g++
CXXFLAGS = -O2 -Wno-long-long $(INCLUDES)
LIBPATH = 
LIBS = 
LDFLAGS = $(LIBPATH) $(LIBS)

###########################################################################

OBJS = $(CPPFILES:.cc=.o)

.SUFFIXES: .o .cc 

.cc.o:
	@echo $<:
	$(CXX) $(CXXFLAGS) -c $*.cc -o $*.o

default: gaffitter 


gaffitter: $(OBJS) gaffitter.cc Params.hh
	$(CXX) $(CXXFLAGS) $@.cc $(OBJS) -o $@ $(LDFLAGS)
###########################################################################

objs: $(OBJS)	

###########################################################################

install:
	cp gaffitter /usr/local/bin

uninstall:
	rm /usr/local/bin/gaffitter

clean:
	rm -f *.o gaffitter optimizers/*.o util/*.o

# rule for building dependency lists, and writing them to this Makefile
depend:
	makedepend -Y -- $(CXXFLAGS) -- $(CPPFILES)

# DO NOT DELETE

Params.o: Params.hh util/Exception.hh util/CmdLineParser.hh util/Exception.hh
DiskUsage.o: DiskUsage.hh Params.hh util/Exception.hh
Input.o: Input.hh Params.hh DiskUsage.hh util/Exception.hh
Optimizer.o: Optimizer.hh Input.hh Params.hh
optimizers/GeneticAlgorithm.o: optimizers/GeneticAlgorithm.hh Input.hh
optimizers/GeneticAlgorithm.o: Params.hh util/Random.hh Optimizer.hh Input.hh
optimizers/BruteForce.o: optimizers/BruteForce.hh Optimizer.hh Input.hh
optimizers/BruteForce.o: Params.hh util/Exception.hh
optimizers/BestFirst.o: optimizers/BestFirst.hh Optimizer.hh Input.hh
optimizers/BestFirst.o: Params.hh
optimizers/Split.o: optimizers/Split.hh Optimizer.hh Input.hh Params.hh
util/CmdLineParser.o: util/CmdLineParser.hh util/Exception.hh
