## gaffitter 0.5.1

=== Makefile ===
# $Id: Makefile,v 1.7 2007/03/28 09:58:16 daaugusto Exp $
# Copyright (C) 2005-2007 Douglas A. Augusto (daaugusto@gmail.com)

all:
	cd src; $(MAKE)
clean:
	cd src; $(MAKE) clean
install:
	cd src; $(MAKE) install
uninstall:
	cd src; $(MAKE) uninstall
