=== src/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
-# $Id: Makefile,v 1.19 2006/08/11 14:44:01 daaugusto Exp $
-# Copyright (C) 2005-2006 Douglas A. Augusto (daaugusto@gmail.com)
+# $Id: Makefile,v 1.20 2007/03/28 09:58:16 daaugusto Exp $
+# Copyright (C) 2005-2007 Douglas A. Augusto (daaugusto@gmail.com)
 
 CPPFILES = Params.cc DiskUsage.cc Input.cc Optimizer.cc \
 			  optimizers/GeneticAlgorithm.cc optimizers/BruteForce.cc \
