## gaffitter 0.5.2

=== src/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
-# $Id: Makefile,v 1.20 2007/03/28 09:58:16 daaugusto Exp $
-# Copyright (C) 2005-2007 Douglas A. Augusto (daaugusto@gmail.com)
+# $Id: Makefile 151 2008-06-04 01:35:38Z daaugusto $
+# Copyright (C) 2005-2008 Douglas A. Augusto (daaugusto@gmail.com)
 
 CPPFILES = Params.cc DiskUsage.cc Input.cc Optimizer.cc \
 			  optimizers/GeneticAlgorithm.cc optimizers/BruteForce.cc \
