=== src/Makefile ===
# $Id: Makefile 235 2008-08-15 20:10:08Z daaugusto $
# Copyright (C) 2005-2008 Douglas A. Augusto (daaugusto@gmail.com)

CPPFILES = Params.cc DiskUsage.cc Input.cc Optimizer.cc \
			  optimizers/GeneticAlgorithm.cc  \
			  optimizers/BestFit.cc optimizers/Split.cc \
			  util/CmdLineParser.cc

INCLUDES = -I/usr/local/include -I.
CXX = g++
CXXFLAGS = -O3 -Wno-long-long $(INCLUDES)
LIBPATH = 
LIBS = 
LDFLAGS = $(LIBPATH) $(LIBS)

###########################################################################

OBJS = $(CPPFILES:.cc=.o)

.SUFFIXES: .o .cc 

.cc.o:
	@echo $<:
	$(CXX) $(CXXFLAGS) -c $*.cc -o $*.o

default: gaffitter 


gaffitter: $(OBJS) gaffitter.cc Params.h
	$(CXX) $(CXXFLAGS) $@.cc $(OBJS) -o $@ $(LDFLAGS)
###########################################################################

objs: $(OBJS)	

###########################################################################

install:
	install -D -m 0755 gaffitter $(DESTDIR)$(prefix)/bin/gaffitter

uninstall:
	rm $(DESTDIR)$(prefix)/bin/gaffitter

clean:
	rm -f *.o gaffitter optimizers/*.o util/*.o

# rule for building dependency lists, and writing them to this Makefile
depend:
	makedepend -Y -- $(CXXFLAGS) -- $(CPPFILES)

# DO NOT DELETE

Params.o: Params.h util/Exception.h util/CmdLineParser.h
Params.o: util/CmdLineException.h
DiskUsage.o: DiskUsage.h Params.h util/Exception.h
Input.o: Input.h Params.h DiskUsage.h util/Exception.h
Optimizer.o: Optimizer.h Input.h Params.h util/Exception.h
optimizers/GeneticAlgorithm.o: optimizers/GeneticAlgorithm.h Input.h Params.h
optimizers/GeneticAlgorithm.o: util/Random.h Optimizer.h Input.h
optimizers/GeneticAlgorithm.o: util/Exception.h
optimizers/BestFit.o: optimizers/BestFit.h Optimizer.h Input.h Params.h
optimizers/BestFit.o: util/Exception.h
optimizers/Split.o: optimizers/Split.h Optimizer.h Input.h Params.h
optimizers/Split.o: util/Exception.h
util/CmdLineParser.o: util/CmdLineParser.h util/CmdLineException.h
