=== debian/changelog ===
gaffitter (0.6.0-3) unstable; urgency=medium

  * QA Upload.

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make.
    (Closes: #928876)

  [ Niels Thykier ]
  * Install binaries into /usr/bin instead of /bin.
    (Closes: #914371)
  * Rewrite rules to use the "dh $@"-style.
    - Adds support for (now) mandatory build-arch and build-indep
      targets in debian/rules.
  * Set Rules-Requires-Root to no.
  * Bump debhelper compat to 12.
  * Add ${misc:Depends} to dependency list for gaffitter.
  * Enable all hardening flags.
  * Convert source to 3.0 (quilt) to remove dependency on quilt.
  * Bump Standards-Version to 4.5.0.
  * Add superficial autopkgtests to ensure that the binary still
    runs.  Better testing welcome.

 -- Niels Thykier <niels@thykier.net>  Thu, 19 Mar 2020 17:07:44 +0000

gaffitter (0.6.0-2) unstable; urgency=low

  * Orphaned. Set maintainer to Debian QA Group.

 -- Nacho Barrientos Arias <nacho@debian.org>  Sun, 29 Dec 2013 19:29:05 +0000

gaffitter (0.6.0-1) unstable; urgency=low

  * New upstream release
  * debian/control
   + Update standards-version to 3.8.3 (no changes).
  * debian/patches
   + Modified 01_Makefile.patch, DESTDIR is now in upstream's Makefile.
  * debian/docs
   + README.pt_BR no longer exists.
  * debian/manpages
   + Few adjustments to match the new behaviour.

 -- Nacho Barrientos Arias <nacho@debian.org>  Thu, 24 Sep 2009 10:21:51 +0200

gaffitter (0.5.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control
   + Set Standards-Version to 3.8.0 (no changes).
   + Move homepage to the new Homepage field.
  * debian/patches
   + Drop 02_FTBFS_GCC-4.3.patch, merged upstream.

 -- Nacho Barrientos Arias <nacho@debian.org>  Wed, 23 Jul 2008 13:10:01 +0200

gaffitter (0.5.1-1) unstable; urgency=low

  * New upstream release.
  * Adding patch to get rid of an annoying FTBFS bug with gcc-4.3,
    thanks to Martin Michlmayr <tbm@cyrius.com> (closes: #417190).
  * debian/control
    - Changing maintainer's email address.
    - Switching to quilt.
    - Added missing blank before homepage.
  * debian/manpages/gaffitter.1
    - Matching new gaffitter's behaviour.

 -- Nacho Barrientos Arias <nacho@debian.org>  Sun,  1 Apr 2007 22:04:19 +0200

gaffitter (0.5.0-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright
  - Removing copyright notes related with Cxxtools (not used in this version).
  * debian/manpages/gaffitter.1
  - Removing copyright notes as explained above.
  - Upgraded to follow new syntax.

 -- Nacho Barrientos Arias <chipi@criptonita.com>  Wed, 30 Aug 2006 21:38:00 +0200

gaffitter (0.4.2-1) unstable; urgency=low

  * Initial release (Closes: #384519).
  * Added manpage for gaffitter(1) not included in upstream sources.

 -- Nacho Barrientos Arias <chipi@criptonita.com>  Thu, 24 Aug 2006 22:16:16 +0200
