=== debian/control ===
Source: gaffitter
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.5.0
Homepage: http://gaffitter.sourceforge.net/
Rules-Requires-Root: no

Package: gaffitter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: File subsets extractor based on genetic algorithms
 Genetic Algorithm File Fitter (gaffitter) is a command-line software
 written in C++ that extracts --via genetic algorithm-- subsets of an
 input list of files/directories that best fit the given volume size
 (target), such as CD, DVD and others.
 .
 gaffitter provides an intelligent manner (thanks to Genetic Algorithm)
 to minimize the error between the desired target size and the selected
 candidates of files/directories. Gaffitter highlights:
 .
   * Uses a global meta-heuristic (Genetic Algorithm search).
   * The command-line interface provides high integration (via pipe) with
     other tools, i.e. works as a "filter".
   * Allow the user to enter 'size identifier' pairs directly instead
     of file/dir names.
   * Pretty configurable. gaffitter have many input parameters to
     control/adjust its behavior (including GA params).
