=== debian/tests/control ===
Test-Command: gaffitter -h
Restrictions: superficial
