=== debian/watch ===
version=3
# Using auto qa.debian.org SF redirector
http://sf.net/gaffitter/gaffitter-(.*)\.tar\.bz2
